Summary:	Small, safe and fast formatting library
Name:		libfmt
Version:	8.0.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://github.com/fmtlib/fmt/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	7d5af964c6633ef90cd6a47be3afe6a0
URL:		https://github.com/fmtlib/fmt
BuildRequires:	cmake >= 3.1.0
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A modern formatting library.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static %{name} library.

%description static -l pl.UTF-8
Statyczna biblioteka %{name}.

%prep
%setup -q -n fmt-%{version}

%build
install -d build
cd build
%cmake \
	-DFMT_CMAKE_DIR="%{_libdir}/cmake/fmt" \
	-DFMT_LIB_DIR=%{_libdir} \
	-DFMT_TEST=OFF \
	-DBUILD_SHARED_LIBS=ON \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.rst ChangeLog.rst LICENSE.rst
%attr(755,root,root) %{_libdir}/libfmt.so.*.*.*
%ghost %{_libdir}/libfmt.so.8

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/fmt
%{_includedir}/fmt/*.h
%dir %{_libdir}/cmake/fmt
%{_libdir}/cmake/fmt/fmt-config-version.cmake
%{_libdir}/cmake/fmt/fmt-config.cmake
%{_libdir}/cmake/fmt/fmt-targets-pld.cmake
%{_libdir}/cmake/fmt/fmt-targets.cmake
%{_libdir}/libfmt.so
%{_pkgconfigdir}/fmt.pc
%changelog
* Fri Aug 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfmt.git;a=log;h=master

* Fri Aug 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 628541a
- up to 8.0.1

* Wed Jan 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b52a2a5
- up to 7.1.3

* Tue Sep 01 2020 Jan Palus <atler@pld-linux.org> 697c894
- up to 7.0.3 (new soname)

* Sun Apr 01 2018 Elan Ruusamäe <glen@pld-linux.org> 45bc75e
- new, version 3.0.1

